LibreOffice: FileHandler Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
FileHandler Service Reference

specifies a component implementing a log handler whose output channel is a file. More...

Inheritance diagram for FileHandler:

## Public Member Functions
| create ([in] string FileURL)
| creates a log handler whose output is directed to a file given by URL.
| createWithSettings ([in] sequence< ::com::sun::star::beans::NamedValue > Settings) raises ( ::com::sun::star::lang::IllegalArgumentException )
| creates an instance of the log handler, using generic settings
Public Member Functions inherited from XLogHandler
void | flush ()
| flushes all buffered output of the handler
boolean | publish ([in] LogRecord Record)
| publish the given log record at the handler's output channel.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Additional Inherited Members
Exported Interfaces inherited from XLogHandler
interface | ::com::sun::star::lang::XComponent
| allows life time control for the handler
Public Attributes inherited from XLogHandler
string | Encoding
| specifies MIME charset name for the encoding to be used by this handler
XLogFormatter | Formatter
| specifies the formatter to be used by this handler.
long | Level
| specifies the log level of this handler

## Detailed Description

specifies a component implementing a log handler whose output channel is a file.

The handler will use the `Encoding` attribute of XLogHandler to determine how to encode strings before actually writing them to the output file.

See also
  XLogHandler::Encoding

Since
  OOo 2.3

## Member Function Documentation

## ◆ create()

create | ( | [in] string | FileURL | ) |

creates a log handler whose output is directed to a file given by URL.

Parameters

  FileURL | the URL of the file to be created. This URL is resolved using the com::sun::star::util::PathSubstitution service. That is, it is allowed to include placeholders such as ``.

## ◆ createWithSettings()

createWithSettings | ( | [in] sequence< ::com::sun::star::beans::NamedValue > | Settings | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

creates an instance of the log handler, using generic settings

Parameters

  Settings | contains the initial settings for the log handler

The following settings are recognized and supported:

- `Encoding` - denotes the initial value of the XLogHandler::Encoding
- `Formatter` - denotes the initial value of the XLogHandler::Formatter
- `Level` - denotes the initial value of the XLogHandler::Level

Additionally, a setting name `FileURL` is recognized. It must be of type string, and denotes the file URL to which the handler's output should be directed.

At least the URL argument must be present in the settings.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if `Settings` contains settings whose value is of the wrong type.

The documentation for this service was generated from the following file:

- com/sun/star/logging/FileHandler.idl